Loading...
Searching...
No Matches
Magick::affineTransformImage Class Reference

## Public Member Functions

| affineTransformImage (const DrawableAffine &affine_)
void | operator() (Image &image_) const

## Private Attributes

DrawableAffine | _affine

## Detailed Description

Definition at line 94 of file STL.h.

## Constructor & Destructor Documentation

## affineTransformImage()

Magick::affineTransformImage::affineTransformImage | ( | const DrawableAffine & | affine_ | ) |

Definition at line 58 of file STL.cpp.

: _affine( affine_ )
{
}

## Member Function Documentation

## operator()()

void Magick::affineTransformImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 62 of file STL.cpp.

{
image_.affineTransform( _affine );
}

## Field Documentation

## _affine

DrawableAffine Magick::affineTransformImage::_affine

private

Definition at line 102 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp